## p11-kit 0.23.9

=== debian/changelog ===
p11-kit (0.23.9-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2020-29361-1.patch: check for arithmetic overflows
      before allocating in p11-kit/iter.c, p11-kit/lists.c,
      p11-kit/proxy.c, p11-kit/rpc-message.c, p11-kit/rpc-message.h,
      p11-kit/rpc-server.c, trust/index.c.
    - debian/patches/CVE-2020-29361-2.patch: follow-up to arithmetic
      overflow fix in common/compat.c, p11-kit/rpc-message.c.
    - CVE-2020-29361
  * SECURITY UPDATE: heap over-read in the RPC protocol
    - debian/patches/CVE-2020-29362.patch: fix bounds check in
      p11-kit/rpc-message.c.
    - CVE-2020-29362
  * SECURITY UPDATE: heap overflow in RPC protocol
    - debian/patches/CVE-2020-29363.patch: check attribute length against
      buffer size in p11-kit/rpc-message.c.
    - CVE-2020-29363

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Jan 2021 14:08:12 -0500

p11-kit (0.23.9-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Oct 2017 07:02:43 +0200

p11-kit (0.23.9-1) experimental; urgency=low

  * New upstream version.
    + Drop 40_bsd_missinginclude.diff.
  * Sync priorities with override file (extra -> optional).

 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 Oct 2017 19:14:31 +0200

p11-kit (0.23.8-2) experimental; urgency=low

  * 40_bsd_missinginclude.diff add missing #include <stdint.h> to get SIZE_MAX
    even on kfreebsd. Other arch seem to include it indirectly via another
    #included header.
  * 41_kfreebsd_LOCAL_PEERCRED.diff: On kfreeBSD use getsockopt(...,
    LOCAL_PEERCRED, ...) since neither SO_PEERCRED nor getpeereid() nor
    getpeerucred() are available.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Sep 2017 12:47:32 +0200

p11-kit (0.23.8-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz 30_nogetauxvalonbsd.diff, drop
      40_test-Fix-failure-on-32-bit-big-endian-platform.patch.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Aug 2017 19:53:04 +0200

=== debian/control ===
Source: p11-kit
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, pkg-config,
 libtasn1-6-dev, libffi-dev, automake (>= 1.12), gtk-doc-tools
Standards-Version: 4.1.1
Section: libs
Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/p11-kit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/p11-kit.git
Homepage: http://p11-glue.freedesktop.org/p11-kit.html

Package: libp11-kit-dev
Section: libdevel
Architecture: any
Depends: libp11-kit0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: library for loading and coordinating access to PKCS#11 modules - development
 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the documentation and development headers required
 to build applications using the p11-kit library.

Package: libp11-kit0
Priority: standard
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: opencryptoki (<= 3.6.1+dfsg-1)
Multi-Arch: same
Description: library for loading and coordinating access to PKCS#11 modules - runtime
 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the shared library required for applications loading
 and accessing PKCS#11 modules.

Package: p11-kit
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, p11-kit-modules (>= ${source:Version})
Description: p11-glue utilities
 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the p11-kit tool for listing PKCS#11 modules.

Package: p11-kit-modules
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libp11-kit0 (= ${binary:Version})
Breaks: p11-kit (<= 0.20.2-1)
Replaces: p11-kit (<= 0.20.2-1)
Multi-Arch: same
Description: p11-glue proxy and trust modules
 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the p11-kit proxy module and the system trust
 policy module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure --verbose -- \
		--disable-silent-rules \
		--with-trust-paths=/etc/ssl/certs/ca-certificates.crt \
		--with-hash-impl=internal --enable-doc

override_dh_makeshlibs:
	# Force keeping symbol file up to date.
	dh_makeshlibs \
		-Xusr/lib/$(DEB_HOST_MULTIARCH)/pkcs11/p11-kit-trust.so -- -c4

override_dh_strip:
	dh_strip --ddeb-migration='libp11-kit0-dbg (<< 0.23.2-3~)'

override_dh_link:
	rm -rf debian/libp11-kit0-dbg/usr/share/doc/libp11-kit0-dbg \
		debian/p11-kit-modules/usr/share/doc/p11-kit-modules
	dh_link

%:
	dh $@ --with autoreconf

## p11-kit 0.23.10

=== debian/changelog ===
p11-kit (0.23.10-1) experimental; urgency=low

  * New upstream version.
    + 45_Fix-bashism.patch: Fix testsuite error due to bashism.
    + Update symbol file.
  * Refer to upstream https URL in control and copyright files.
  * Sync priorities with override file. (libp11-kit0 standard -> optional)
  * Use dh v10 compat.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Feb 2018 19:20:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, pkg-config,
+Build-Depends: debhelper (>= 10), pkg-config,
  libtasn1-6-dev, libffi-dev, automake (>= 1.12), gtk-doc-tools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/p11-kit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/p11-kit.git
-Homepage: http://p11-glue.freedesktop.org/p11-kit.html
+Homepage: https://p11-glue.freedesktop.org/p11-kit.html
 
 Package: libp11-kit-dev
 Section: libdevel
@@ -27,7 +26,6 @@
  to build applications using the p11-kit library.
 
 Package: libp11-kit0
-Priority: standard
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,4 @@
 	dh_link
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## p11-kit 0.23.14

=== debian/changelog ===
p11-kit (0.23.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Aug 2018 19:26:37 +0200

p11-kit (0.23.14-1) experimental; urgency=medium

  * New upstream version.
    + Refresh patches.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 28 Aug 2018 19:48:30 +0200

p11-kit (0.23.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 15 Aug 2018 11:06:36 +0200

p11-kit (0.23.13-1) experimental; urgency=low

  * New upstream version.
    + Refresh patches.
  * Enable dh_missing.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Aug 2018 13:58:11 +0200

p11-kit (0.23.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Jun 2018 19:41:35 +0200

p11-kit (0.23.12-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz 30_nogetauxvalonbsd.diff, 35_hurd_enable_secure.diff and
      41_kfreebsd_LOCAL_PEERCRED.diff.
    + Drop 45_Fix-bashism.patch.
  * [lintian] Drop dh_strip --ddeb-migration override. - Stable already
    includes this.
  * Update upstream homepage location.
  * Newly added P11_KIT_MODULE_MASK flag, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 04 Jun 2018 19:16:26 +0200

p11-kit (0.23.10-2) unstable; urgency=low

  * Upload to unstable.
  * Point Vcs* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Mar 2018 19:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 10), pkg-config,
  libtasn1-6-dev, libffi-dev, automake (>= 1.12), gtk-doc-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/p11-kit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/p11-kit.git
-Homepage: https://p11-glue.freedesktop.org/p11-kit.html
+Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git
+Vcs-Browser: https://salsa.debian.org/gnutls-team/p11-kit
+Homepage: https://p11-glue.github.io/p11-glue/p11-kit.html
 
 Package: libp11-kit-dev
 Section: libdevel

## p11-kit 0.23.15

=== debian/changelog ===
p11-kit (0.23.15-2+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix bounds check in p11_rpc_buffer_get_byte_array (CVE-2020-29362)
  * Check attribute length against buffer size (CVE-2020-29363)
  * Check for arithmetic overflows before allocating (CVE-2020-29361)
  * Follow-up to arithmetic overflow fix (CVE-2020-29361)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 29 Dec 2020 15:48:30 +0100

p11-kit (0.23.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Feb 2019 13:20:53 +0100

p11-kit (0.23.15-1) experimental; urgency=low

  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * Drop automake (>= 1.12) from Build-Depends; automake 1.14 is
    now in oldstable. (And BTW the b-d did not work anyway, automake has an
    epoch.)
  * New upstream version.
    + 45_01-extract-jks-Prefer-_p11_extract_jks_timestamp-to-SOU.patch Post
      release bugfix from upstream GIT master, fixing a testsuite error when
      SOURCE_DATE_EPOCH is set.
    + If the trust file is not parsable in the p11-kit persistent format
      proceed with the next formats (DER and PEM). Closes: #914199
  * Use debhelper 11 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Feb 2019 18:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Priority: optional
 Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config,
- libtasn1-6-dev, libffi-dev, automake (>= 1.12), gtk-doc-tools
+Build-Depends:
+ debhelper-compat (= 11),
+ gtk-doc-tools,
+ libffi-dev,
+ libtasn1-6-dev,
+ pkg-config
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Section: libs
@@ -29,7 +33,7 @@
 Package: libp11-kit0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: opencryptoki (<= 3.6.1+dfsg-1)
 Multi-Arch: same
 Description: library for loading and coordinating access to PKCS#11 modules - runtime
@@ -45,7 +49,10 @@
 Package: p11-kit
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, p11-kit-modules (>= ${source:Version})
+Depends:
+ p11-kit-modules (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: p11-glue utilities
  The p11-kit library provides a way to load and enumerate Public-Key
  Cryptography Standard #11 modules, along with a standard configuration
@@ -58,7 +65,10 @@
 Package: p11-kit-modules
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libp11-kit0 (= ${binary:Version})
+Depends:
+ libp11-kit0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Breaks: p11-kit (<= 0.20.2-1)
 Replaces: p11-kit (<= 0.20.2-1)
 Multi-Arch: same

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/p11-glue/p11-kit/releases \
.*/p11-kit-@ANY_VERSION@@ARCHIVE_EXT@

## p11-kit 0.23.15.1

=== debian/changelog ===
p11-kit (0.23.15.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>  Thu, 21 Jan 2021 18:16:41 +0800

## p11-kit 0.23.17

=== debian/changelog ===
p11-kit (0.23.17-2) unstable; urgency=low

  * 41_kfreebsd_LOCAL_PEERCRED.diff: Re-add autoconf check for sys/ucred.h,
    fixing FTBFS on kfreebsd.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Sep 2019 11:28:58 +0200

p11-kit (0.23.17-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz patches.
  * Use DH12 compat. Adapt p11-kit.examples and p11-kit.install for move from
    /usr/lib/$multiarch/p11-kit to /usr/libexec/p11-kit.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Sep 2019 19:02:25 +0200

p11-kit (0.23.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 14 Aug 2019 07:44:54 +0200

p11-kit (0.23.16.1-1) experimental; urgency=low

  * Refresh upstream signing key 462225C3B46F34879FC8496CD605848ED7E69871.
  * New upstream version.
    + Drop 45_01-extract-jks-Prefer-_p11_extract_jks_timestamp-to-SOU.patch.
    + Unfuzz patches.
  * debian/copyright: Update Format specifier, merge copyright lists.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 May 2019 14:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  gtk-doc-tools,
  libffi-dev,
  libtasn1-6-dev,
  pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

## p11-kit 0.23.18.1

=== debian/changelog ===
p11-kit (0.23.18.1-2+hurd.2) unreleased; urgency=medium

  * Hack around missing SO_PEERCRED support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Oct 2019 17:59:02 +0000

p11-kit (0.23.18.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Oct 2019 18:39:54 +0200

p11-kit (0.23.18.1-1) experimental; urgency=low

  * New upstream version.
    + Adds symbol versioning, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Oct 2019 15:23:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libffi-dev,
  libtasn1-6-dev,
  pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

## p11-kit 0.23.20

=== debian/changelog ===
p11-kit (0.23.20-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2020-29361-1.patch: check for arithmetic overflows
      before allocating in p11-kit/iter.c, p11-kit/lists.c,
      p11-kit/proxy.c, p11-kit/rpc-message.c, p11-kit/rpc-message.h,
      p11-kit/rpc-server.c, trust/index.c.
    - debian/patches/CVE-2020-29361-2.patch: follow-up to arithmetic
      overflow fix in common/compat.c, p11-kit/rpc-message.c.
    - CVE-2020-29361
  * SECURITY UPDATE: heap over-read in the RPC protocol
    - debian/patches/CVE-2020-29362.patch: fix bounds check in
      p11-kit/rpc-message.c.
    - CVE-2020-29362
  * SECURITY UPDATE: heap overflow in RPC protocol
    - debian/patches/CVE-2020-29363.patch: check attribute length against
      buffer size in p11-kit/rpc-message.c.
    - CVE-2020-29363

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Jan 2021 14:04:11 -0500

p11-kit (0.23.20-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:14:59 +0000

p11-kit (0.23.20-1) unstable; urgency=low

  * New upstream version.
    + Reverts "Fix RPC when length-s are 0" changes. Closes: #949976

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Jan 2020 18:41:44 +0100

p11-kit (0.23.19-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jan 2020 14:09:36 +0100

p11-kit (0.23.19-1) experimental; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Andreas Metzler ]
  * New upstream version.
    + Unfuzz enable_locale.diff.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 22 Jan 2020 14:49:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -8,7 +9,7 @@
  libffi-dev,
  libtasn1-6-dev,
  pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

## p11-kit 0.23.21

=== debian/changelog ===
p11-kit (0.23.21-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2020-29361-1.patch: check for arithmetic overflows
      before allocating in p11-kit/iter.c, p11-kit/lists.c,
      p11-kit/proxy.c, p11-kit/rpc-message.c, p11-kit/rpc-message.h,
      p11-kit/rpc-server.c, trust/index.c.
    - debian/patches/CVE-2020-29361-2.patch: follow-up to arithmetic
      overflow fix in common/compat.c, p11-kit/rpc-message.c.
    - CVE-2020-29361
  * SECURITY UPDATE: heap over-read in the RPC protocol
    - debian/patches/CVE-2020-29362.patch: fix bounds check in
      p11-kit/rpc-message.c.
    - CVE-2020-29362
  * SECURITY UPDATE: heap overflow in RPC protocol
    - debian/patches/CVE-2020-29363.patch: check attribute length against
      buffer size in p11-kit/rpc-message.c.
    - CVE-2020-29363

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Jan 2021 13:57:42 -0500

p11-kit (0.23.21-2build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:13:24 +0000

p11-kit (0.23.21-2) unstable; urgency=low

  * Replace 50_test-compat-Skip-getprogname-test-if-BUILDDIR-contai.patch with
    version from upstream GIT master.
  * List la-files in debian/not-installed.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Aug 2020 18:39:57 +0200

p11-kit (0.23.21-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz 30_nogetauxvalonbsd.diff.
    + 50_test-compat-Skip-getprogname-test-if-BUILDDIR-contai.patch from
      https://github.com/p11-glue/p11-kit/pull/317 - Fix testuite error when
      building in a symlink to a directory.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Aug 2020 14:11:57 +0200

## p11-kit 0.23.22

=== debian/changelog ===
p11-kit (0.23.22-1) unstable; urgency=low

  * New upstream version.
    Fixes memory-safety issues that affect the RPC protocol
    (CVE-2020-29361, CVE-2020-29362, and CVE-2020-29363).
    + Drop 50_test-compat-Skip-getprogname-test-if-BUILDDIR-contai.patch
  * [lintian] Bump watchfile to v4 standard.
  * Use debhelper v13 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Dec 2020 13:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-doc-tools,
  libffi-dev,
  libtasn1-6-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,13 @@
 	dh_makeshlibs \
 		-Xusr/lib/$(DEB_HOST_MULTIARCH)/pkcs11/p11-kit-trust.so -- -c4
 
-override_dh_strip:
-	dh_strip --ddeb-migration='libp11-kit0-dbg (<< 0.23.2-3~)'
-
 override_dh_link:
 	rm -rf debian/libp11-kit0-dbg/usr/share/doc/libp11-kit0-dbg \
 		debian/p11-kit-modules/usr/share/doc/p11-kit-modules
 	dh_link
 
+override_dh_missing:
+	dh_missing --list-missing
+
 %:
 	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/p11-glue/p11-kit/releases \
.*/p11-kit-@ANY_VERSION@@ARCHIVE_EXT@

## p11-kit 0.24.0

=== debian/changelog ===
p11-kit (0.24.0-6build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:22:16 +0100

p11-kit (0.24.0-6) unstable; urgency=medium

  * Drop gtk-doc related, now broken symlink in libp11-kit-dev. Have
    libp11-kit-dev suggest p11-kit-doc. (Thanks, Paul Wise!)
    Closes: #996686
  * Update libp11-kit-dev package description for p11-kit-doc split-off.
    (Thanks, Paul Wise!) Closes: #996685
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Dec 2021 18:04:26 +0100

p11-kit (0.24.0-5) unstable; urgency=low

  * Fix libbsd build-dep.
  * 40_getpeereid_from_libbsd.diff: Do not include bsd/unistd.h if
    bsd/unistd.h is included.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Oct 2021 13:23:58 +0200

p11-kit (0.24.0-4) experimental; urgency=medium

  * Drop 41_kfreebsd_LOCAL_PEERCRED.diff, add 40_getpeereid_from_libbsd.diff
    and use libbsd on kfreebsd and hurd. Hopefully fixes build on both hurd
    and kfreebsd. Thanks, Svante Signell. Closes: #995049
  * Move documentation to separate package. It is the only way to fix
    binNMUs breaking multi-arch installation of libp11-kit-dev (See
    #995162!) although the package size does not justify the split-off.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Oct 2021 14:25:26 +0200

p11-kit (0.24.0-3) unstable; urgency=medium

  * Hotfix multiarch breakage by no-change sourceful upload. Closes: #995162

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Oct 2021 13:09:51 +0200

p11-kit (0.24.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Add lintian override for gtk-doc triggering
    package-contains-documentation-outside-usr-share-doc.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Sep 2021 11:49:05 +0200

p11-kit (0.24.0-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Jun 2021 15:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Uploaders:
+ Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gtk-doc-tools,
+ libbsd-dev [kfreebsd-any hurd-any],
  libffi-dev,
  libtasn1-6-dev,
- pkg-config
-Standards-Version: 4.5.1
+ pkg-config,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git
@@ -18,7 +21,11 @@
 Package: libp11-kit-dev
 Section: libdevel
 Architecture: any
-Depends: libp11-kit0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libp11-kit0 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ p11-kit-doc,
 Multi-Arch: same
 Description: library for loading and coordinating access to PKCS#11 modules - development
  The p11-kit library provides a way to load and enumerate Public-Key
@@ -27,14 +34,18 @@
  also solves problems with coordinating the use of PKCS#11 by different
  components or libraries living in the same process.
  .
- This package contains the documentation and development headers required
+ This package contains the development headers required
  to build applications using the p11-kit library.
 
 Package: libp11-kit0
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: opencryptoki (<= 3.6.1+dfsg-1)
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ opencryptoki (<= 3.6.1+dfsg-1),
 Multi-Arch: same
 Description: library for loading and coordinating access to PKCS#11 modules - runtime
  The p11-kit library provides a way to load and enumerate Public-Key
@@ -52,7 +63,7 @@
 Depends:
  p11-kit-modules (>= ${source:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: p11-glue utilities
  The p11-kit library provides a way to load and enumerate Public-Key
  Cryptography Standard #11 modules, along with a standard configuration
@@ -68,9 +79,11 @@
 Depends:
  libp11-kit0 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
-Breaks: p11-kit (<= 0.20.2-1)
-Replaces: p11-kit (<= 0.20.2-1)
+ ${shlibs:Depends},
+Breaks:
+ p11-kit (<= 0.20.2-1),
+Replaces:
+ p11-kit (<= 0.20.2-1),
 Multi-Arch: same
 Description: p11-glue proxy and trust modules
  The p11-kit library provides a way to load and enumerate Public-Key
@@ -81,3 +94,22 @@
  .
  This package contains the p11-kit proxy module and the system trust
  policy module.
+
+Package: p11-kit-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+Breaks:
+ libp11-kit-dev (<= 0.24.0-4~),
+Replaces:
+ libp11-kit-dev (<= 0.24.0-4~),
+Multi-Arch: foreign
+Description: library for loading and coordinating access to PKCS#11 modules - documentation
+ The p11-kit library provides a way to load and enumerate Public-Key
+ Cryptography Standard #11 modules, along with a standard configuration
+ setup for installing PKCS#11 modules so that they're discoverable. It
+ also solves problems with coordinating the use of PKCS#11 by different
+ components or libraries living in the same process.
+ .
+ This package contains the documentation for p11-kit.

## p11-kit 0.24.1

=== debian/changelog ===
p11-kit (0.24.1-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2003548). Remaining changes:
    + Add support for IBM specific attributes and mechanis by adding the
      following upstream commits as quilt patches (LP: #1982841):
      d/p/lp-1982841-Add-IBM-specific-mechanism-and-attributes.patch
      d/p/lp-1982841-Add-support-for-serializing-CK_ECDH1_DERIVE_PARAMS-m.patch
      d/p/lp-1982841-client-Allow-zero-part-length-at-C_SignUpdate.patch
      d/p/lp-1982841-Fix-support-of-CKA_DERIVE_TEMPLATE.patch
      d/p/lp-1982841-Add-other-SHA-variants-also-for-RSA-and-EC-signature.patch
      d/p/lp-1982841-Add-support-for-missing-AES-and-DES-DES3-mechanisms.patch
      d/p/lp-1982841-Add-support-for-MAC-and-HMAC-general-mechanisms.patch
      d/p/lp-1982841-Add-support-for-CKM_DH_PKCS_DERIVE.patch
      d/p/lp-1982841-rpc-Handle-special-cases-for-buffer-and-length.patch
      d/p/lp-1982841-Add-support-for-CKM_AES_CTR.patch
      d/p/lp-1982841-Add-support-for-CKM_AES_GCM.patch
      d/p/lp-1982841-common-pkcs11x.h-Support-CRYPTOKI_GNU-for-IBM-vendor.patch
    + debian/patches/lp-1991067-pkcs11-gnu-Enable-testing-with-p11-kit-
      pkcs11x.h.patch: Fix gnutls FTBFS.  Closes LP: #1991067.

 -- Adrien Nader <adrien.nader@canonical.com>  Thu, 19 Jan 2023 10:50:41 +0100

p11-kit (0.24.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libp11-kit0: Drop versioned constraint on opencryptoki in Breaks.
    + p11-kit-modules: Drop versioned constraint on p11-kit in Replaces.
    + p11-kit-modules: Drop versioned constraint on p11-kit in Breaks.

  [ Andreas Metzler ]
  * Fix uscan file for github changes. (Adapted from sirikali example in
    #1019696 - Thanks David!)
  * Minor cleanups suggested by lintian. (Standards-Version, debian/-copyrigfht
    year, unused override with newer lintian).

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Dec 2022 18:46:45 +0100

p11-kit (0.24.1-1ubuntu2) kinetic; urgency=medium

  * debian/patches/lp-1991067-pkcs11-gnu-Enable-testing-with-p11-kit-
    pkcs11x.h.patch: Fix gnutls FTBFS.  Closes LP: #1991067.

 -- Adrien Nader <adrien.nader@canonical.com>  Thu, 29 Sep 2022 10:55:32 +0000

p11-kit (0.24.1-1ubuntu1) kinetic; urgency=medium

  * Add support for IBM specific attributes and mechanis by adding the
    following upstream commits as quilt patches (LP: #1982841):
    d/p/lp-1982841-Add-IBM-specific-mechanism-and-attributes.patch
    d/p/lp-1982841-Add-support-for-serializing-CK_ECDH1_DERIVE_PARAMS-m.patch
    d/p/lp-1982841-client-Allow-zero-part-length-at-C_SignUpdate.patch
    d/p/lp-1982841-Fix-support-of-CKA_DERIVE_TEMPLATE.patch
    d/p/lp-1982841-Add-other-SHA-variants-also-for-RSA-and-EC-signature.patch
    d/p/lp-1982841-Add-support-for-missing-AES-and-DES-DES3-mechanisms.patch
    d/p/lp-1982841-Add-support-for-MAC-and-HMAC-general-mechanisms.patch
    d/p/lp-1982841-Add-support-for-CKM_DH_PKCS_DERIVE.patch
    d/p/lp-1982841-rpc-Handle-special-cases-for-buffer-and-length.patch
    d/p/lp-1982841-Add-support-for-CKM_AES_CTR.patch
    d/p/lp-1982841-Add-support-for-CKM_AES_GCM.patch
    d/p/lp-1982841-common-pkcs11x.h-Support-CRYPTOKI_GNU-for-IBM-vendor.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 05 Aug 2022 15:25:36 +0200

p11-kit (0.24.1-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Apr 2022 13:34:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libffi-dev,
  libtasn1-6-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git
@@ -44,8 +44,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- opencryptoki (<= 3.6.1+dfsg-1),
 Multi-Arch: same
 Description: library for loading and coordinating access to PKCS#11 modules - runtime
  The p11-kit library provides a way to load and enumerate Public-Key
@@ -80,10 +78,6 @@
  libp11-kit0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- p11-kit (<= 0.20.2-1),
-Replaces:
- p11-kit (<= 0.20.2-1),
 Multi-Arch: same
 Description: p11-glue proxy and trust modules
  The p11-kit library provides a way to load and enumerate Public-Key

## p11-kit 0.25.0

=== meson_options.txt ===
option('hash_impl', type : 'combo',
       value : 'internal', choices : ['internal', 'freebl'],
       description : 'Hash implementation to use')

option('module_config', type : 'string',
       value : '',
       description : 'Module configuration files shipped by packages')

option('system_config', type : 'string',
       value : '',
       description : 'Change PKCS#11 system config directory')

option('user_config', type : 'string',
       value : '~/.config/pkcs11',
       description : 'Change PKCS#11 user config directory')

option('module_path', type : 'string',
       value : '',
       description : 'Load modules with relative path names from here')

option('env_override_paths', type : 'string',
       value : '',
       description : 'Override module and config paths with environment variables')

option('libffi', type : 'feature',
       value : 'auto',
       description : 'Use libffi for building closures')

option('closures', type : 'integer',
       value : 64,
       description : 'The number of precompiled closures, used when libffi is unavailable')

option('trust_module', type : 'feature',
       value : 'auto',
       description : 'Build the trust module')

option('trust_paths', type : 'string',
       value : '',
       description : 'Input paths for trust module')

option('strict', type : 'boolean',
       value : false,
       description : 'Strict code compilation')

option('systemd', type : 'feature',
       value : 'auto',
       description : 'Use systemd socket activation')

option('bashcompdir', type : 'string',
       value : '',
       description : 'Override default location for bash completion files')

option('bash_completion', type : 'feature',
       value : 'auto',
       description : 'Install bash completion files')

option('gtk_doc', type : 'boolean',
       value : false,
       description : 'Build documentation using gtk-doc')

option('glib_prefix', type : 'string',
       value : '',
       description : 'GLib installed prefix, used for gtk-doc, taken from pkg-config if undefined')

option('man', type : 'boolean',
       value : false,
       description : 'Build manpages using xsltproc')

option('nls', type : 'boolean',
       value : true,
       description : 'Enable NLS support')

option('test', type : 'boolean',
       value : true,
       description : 'Enable building test programs')

option('rpc_min', type : 'integer',
       min : 0, max : 0, value : 0,
       description : 'Minimum RPC protocol version we support')

option('rpc_max', type : 'integer',
       min : 0, max : 1, value : 1,
       description : 'Maximum RPC protocol version we support')

=== debian/changelog ===
p11-kit (0.25.0-4ubuntu1) mantic; urgency=medium

  * d/rules: disable LTO due to FTBFS (LP: #2032576)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 21 Aug 2023 16:21:05 -0600

p11-kit (0.25.0-4) unstable; urgency=medium

  * 47_Fix-probing-of-C_GetInterface.patch from upstream GIT master: Fix
    probing of C_GetInterface. Thanks, Jeremy Bícha!
    Closes: #1042255

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jul 2023 15:57:15 +0200

p11-kit (0.25.0-3) unstable; urgency=low

  * Fix cross-build error (patch from upstream GIT):
    + 45_0001-Check-for-GNU-strerror_r-using-the-compiler-only.patch
    + 45_0002-Define-_GNU_SOURCE-when-testing-for-strerror_r.patch
    Closes: #1040472

 -- Andreas Metzler <ametzler@debian.org>  Mon, 10 Jul 2023 19:11:35 +0200

p11-kit (0.25.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 04 Jul 2023 19:11:57 +0200

p11-kit (0.25.0-1) experimental; urgency=low

  * Add key 5D46CB0F763405A7053556F47A75A648B3F9220C Zoltan Fridrich
    <zfridric@redhat.com> to debian/upstream/signing-key.asc.
  * New upstream version.
    + Update symbol file. (Bump all requirements to >= 0.25.0, many #defines
      have been added, inter alia related to PKCS#11 3.0 support).
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jul 2023 13:43:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \

## p11-kit 0.25.3

=== meson_options.txt ===
--- 
+++ 
@@ -74,6 +74,10 @@
        value : true,
        description : 'Enable building test programs')
 
+option('post_install_test', type : 'boolean',
+       value : false,
+       description : 'Enable running post-install test programs')
+
 option('rpc_min', type : 'integer',
        min : 0, max : 0, value : 0,
        description : 'Minimum RPC protocol version we support')

=== debian/changelog ===
p11-kit (0.25.3-4ubuntu2.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:21 +0200

p11-kit (0.25.3-4ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:01 +0200

p11-kit (0.25.3-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: disable LTO due to FTBFS
  * Dropped changes
    - d/not-installed: fix FTBFS if bash-completion present

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 02 Feb 2024 11:27:20 -0700

p11-kit (0.25.3-4) unstable; urgency=medium

  * Undo dropping 30_nogetauxvalonbsd.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Dec 2023 18:12:42 +0100

p11-kit (0.25.3-3) unstable; urgency=medium

  * ./configure with --without-bash-completion to fix FTBFS when
    bash-completion is installed. Closes: #1058648 (LP: #2046389)
  * As suggested by Guillem Jover in #995049 use libbsd-overlay on GNU/Hurd
    (and kfreebsd). This might give persinstent buildability there.
  * Drop 30_nogetauxvalonbsd.diff, it should be superfluous with
    libbsd-overlay on GNU/Hurd and the kfreebsd port has been dropped.
    https://lists.debian.org/debian-devel/2023/07/msg00176.html

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Dec 2023 14:06:30 +0100

p11-kit (0.25.3-2ubuntu2) noble; urgency=medium

  * d/not-installed: fix FTBFS if bash-completion present (LP: #2046389)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 13 Dec 2023 17:49:26 -0700

p11-kit (0.25.3-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: disable LTO due to FTBFS (LP 2032576)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 13 Dec 2023 13:03:21 -0700

p11-kit (0.25.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Dec 2023 08:43:28 +0100

p11-kit (0.25.3-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Nov 2023 15:45:24 +0100

p11-kit (0.25.2-1) experimental; urgency=medium

  * New upstream version.
    + Update copyright file.
  * Add lintian override for source-is-missing false positive.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 Nov 2023 17:45:46 +0100

p11-kit (0.25.1-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz 40_getpeereid_from_libbsd.diff and 36_enable_locale.diff.
    + Drop patches previously pulled from upstream GIT.
    + Use cme ("cme update dpkg-copyright") with helper files to manage
      copyright info.
    + Update symbol file.
    + Add b-d on python3.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 26 Oct 2023 16:46:08 +0200

p11-kit (0.25.0-5) unstable; urgency=medium

  * Add support for nodoc buildprofile. (Patch by Samuel Thibault, modified to
    avoid dh-exec.) Closes: #1053327
  * Drop ancient override for dh_missing in debian/rules (originally added to
    *enable* it, when it was not yet run by default.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Oct 2023 15:14:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- gtk-doc-tools,
+ gtk-doc-tools <!nodoc>,
  libbsd-dev [kfreebsd-any hurd-any],
  libffi-dev,
  libtasn1-6-dev,
  pkg-config,
+ python3:any,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
@@ -90,6 +91,7 @@
  policy module.
 
 Package: p11-kit-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends:

## p11-kit 0.25.5

=== debian/changelog ===
p11-kit (0.25.5-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
  * Add IBM specific mechanisms (LP: #2098092) by cherry-picking:
    - d/p/lp-2098092-Add-IBM-specific-key-attributes.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_ECDSA_OTHER.patch
    - d/p/lp-2098092-Rework-rpc_C_DeriveKey-to-allow-size-queries.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_BTC_DERIVE.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_KYBER.patch
  * Add upstream patches to fix FTBFS in gnutls patches (LP: #2098424):
    - d/p/p11-kit-Include-p11-kit-p11-kit.h-from-p11-kit-uri.h.patch
    - d/p/p11-kit-Move-CRYPTOKI_GNU-definitions-to-p11-kit-p11.patch
  * Drop Changes:
  * d/rules: disable LTO due to FTBFS
    (the change has been merged in Debian)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jun 2025 11:05:42 +0200

p11-kit (0.25.5-3) unstable; urgency=medium

  [ Adrien Nader ]
  * Always disable LTO due to linking errors.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 24 Dec 2024 11:58:31 +0100

p11-kit (0.25.5-2ubuntu3) plucky; urgency=medium

  * Add upstream patches to fix FTBFS in gnutls patches (LP: #2098424):
    - d/p/p11-kit-Include-p11-kit-p11-kit.h-from-p11-kit-uri.h.patch
    - d/p/p11-kit-Move-CRYPTOKI_GNU-definitions-to-p11-kit-p11.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 18 Feb 2025 16:10:06 +0100

p11-kit (0.25.5-2ubuntu2) plucky; urgency=medium

  * Add IBM specific mechanisms (LP: #2098092) by cherry-picking:
    - d/p/lp-2098092-Add-IBM-specific-key-attributes.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_ECDSA_OTHER.patch
    - d/p/lp-2098092-Rework-rpc_C_DeriveKey-to-allow-size-queries.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_BTC_DERIVE.patch
    - d/p/lp-2098092-Add-support-for-CKM_IBM_KYBER.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 13 Feb 2025 16:33:13 +0100

p11-kit (0.25.5-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: disable LTO due to FTBFS

 -- Adrien Nader <adrien.nader@canonical.com>  Thu, 18 Jul 2024 14:38:18 +0200

p11-kit (0.25.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jul 2024 07:19:54 +0200

p11-kit (0.25.5-1) experimental; urgency=medium

  * New upstream version.
    + Drop patches included by or cherry-picked from upstream.
    + Update copyright info, add bare-bone debian/copyright.template to be
      used as basis for cme. (cp debian/copyright.template debian/copyright &&
      cme update dpkg-copyright)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jul 2024 13:29:19 +0200

p11-kit (0.25.3-5) unstable; urgency=medium

  * 50_import-object-Avoid-integer-truncation-on-32-bit-pla.patch from
    upstream GIT master: Fix FTBFS with -Wincompatible-pointer-types on 32 bit
    archs. Closes: #1070059
  * [lintian] B-d on pkgconf instead of pkg-config.
  * Bump Standards-Version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 May 2024 07:30:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  libbsd-dev [kfreebsd-any hurd-any],
  libffi-dev,
  libtasn1-6-dev,
- pkg-config,
+ pkgconf,
  python3:any,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

## p11-kit 0.25.9

=== meson_options.txt ===
--- 
+++ 
@@ -54,6 +54,14 @@
        value : 'auto',
        description : 'Install bash completion files')
 
+option('zshcompdir', type : 'string',
+       value : '',
+       description : 'Override default location for zsh completion files')
+
+option('zsh_completion', type : 'feature',
+       value : 'auto',
+       description : 'Install zsh completion files')
+
 option('gtk_doc', type : 'boolean',
        value : false,
        description : 'Build documentation using gtk-doc')
@@ -83,5 +91,5 @@
        description : 'Minimum RPC protocol version we support')
 
 option('rpc_max', type : 'integer',
-       min : 0, max : 1, value : 1,
+       min : 0, max : 2, value : 2,
        description : 'Maximum RPC protocol version we support')

=== debian/changelog ===
p11-kit (0.25.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Sep 2025 12:43:00 +0200

p11-kit (0.25.9-1) experimental; urgency=medium

  * New upstream version.
    + Refresh keys in signing-key.asc from keyservers.
    + Update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Sep 2025 11:02:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
@@ -12,7 +11,7 @@
  libtasn1-6-dev,
  pkgconf,
  python3:any,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/gnutls-team/p11-kit.git

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+	DOC = --enable-doc
+endif
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 		--disable-silent-rules \
 		--with-trust-paths=/etc/ssl/certs/ca-certificates.crt \
-		--with-hash-impl=internal --enable-doc
+		--with-hash-impl=internal --without-bash-completion $(DOC)
 
 override_dh_makeshlibs:
 	# Force keeping symbol file up to date.
@@ -21,8 +24,5 @@
 		debian/p11-kit-modules/usr/share/doc/p11-kit-modules
 	dh_link
 
-override_dh_missing:
-	dh_missing --list-missing
-
 %:
 	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,\
downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/ \
https://github.com/p11-glue/p11-kit/tags \
https://github.com/p11-glue/p11-kit/archive/refs/tags/([^/]*)\.tar\.gz

## p11-kit 0.25.10

=== debian/changelog ===
p11-kit (0.25.10-1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: NULL dereference via C_DeriveKey
    - debian/patches/CVE-2026-2100.patch: fix issues found by static
      analysis in p11-kit/rpc-message.c.
    - CVE-2026-2100

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Feb 2026 13:19:01 -0500

p11-kit (0.25.10-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Nov 2025 15:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: p11-kit
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
